ru.bitel.bgbilling.modules.tv.access.om

## Class AccountOrderEvent

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent
  - - ru.bitel.bgbilling.modules.tv.access.om.AccountOrderEvent

-     public class AccountOrderEvent
      extends AbstractOrderEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AccountOrderEvent.AccountEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVENT_TYPE_ACCOUNT_CREATE`
    `static int` | `EVENT_TYPE_ACCOUNT_MODIFY`
    `static int` | `EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY`
    `static int` | `EVENT_TYPE_ACCOUNT_REMOVE`
    `static int` | `EVENT_TYPE_ACCOUNT_STATE_MODIFY`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent

      `filterByDepends`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess, Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount oldTvAccount, TvAccount newTvAccount, short oldDeviceState, short newDeviceState, java.util.Set<java.lang.Integer> oldDeviceOptionIds, java.util.Set<java.lang.Integer> newDeviceOptionIds, int accessCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AccountOrderEvent.AccountEntry>` | `getChildrenEntryList()`
    `AccountOrderEvent.AccountEntry` | `getEntry()`
    `java.util.List<ProductEntry>` | `getFullProductEntryListToEnable()`
    `protected java.util.Map<java.lang.Integer,ProductSpecRuntime>` | `getFullProductSpecRuntimeMapToEnable()`
    `java.util.Set<java.lang.Integer>` | `getNewDeviceOptionIds()`
    `short` | `getNewState()`
    `TvAccount` | `getNewTvAccount()`
    `java.util.Set<java.lang.Integer>` | `getOldDeviceOptionIds()`
    `int` | `getOldState()`
    `TvAccount` | `getOldTvAccount()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent

      `filterProductSpecByDepends, getContractId, getDeviceOptionIdsToDisable, getDeviceOptionIdsToEnable, getDeviceOptionProductSpecSetToDisable, getDeviceOptionProductSpecSetToEnable, getFullProductEntryList, getFullProductSpecRuntimeSetToEnable, getFullProductSpecSetToEnable, getFullServiceSpecRuntimeSetToEnable, getFullServiceSpecSetToEnable, getFullTvChannelSpecSetToEnable, getNewDeviceOptionProductSpecs, getOldDeviceOptionProductSpecs, getProductSpecList, getProductSpecRuntimeList, getTvAccountChildren, getTvAccountId, getTvAccountRuntime, isFilterByDepends, isOptionsModified, setFilterByDepends, setNewDeviceOptionIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_TYPE_ACCOUNT_CREATE

          public static final int EVENT_TYPE_ACCOUNT_CREATE

      See Also:
        Constant Field Values

    - #### EVENT_TYPE_ACCOUNT_MODIFY

          public static final int EVENT_TYPE_ACCOUNT_MODIFY

      See Also:
        Constant Field Values

    - #### EVENT_TYPE_ACCOUNT_REMOVE

          public static final int EVENT_TYPE_ACCOUNT_REMOVE

      See Also:
        Constant Field Values

    - #### EVENT_TYPE_ACCOUNT_STATE_MODIFY

          public static final int EVENT_TYPE_ACCOUNT_STATE_MODIFY

      See Also:
        Constant Field Values

    - #### EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY

          public static final int EVENT_TYPE_ACCOUNT_OPTIONS_MODIFY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccountOrderEvent

          public AccountOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess,
                                   Event event,
                                   int deviceId,
                                   TvAccountRuntime tvAccountRuntime,
                                   int eventType,
                                   int tvAccountId,
                                   TvAccountSpec tvAccountSpec,
                                   TvAccount oldTvAccount,
                                   TvAccount newTvAccount,
                                   short oldDeviceState,
                                   short newDeviceState,
                                   java.util.Set<java.lang.Integer> oldDeviceOptionIds,
                                   java.util.Set<java.lang.Integer> newDeviceOptionIds,
                                   int accessCode)

  - ### Method Detail

    - #### getOldTvAccount

          public TvAccount getOldTvAccount()

    - #### getNewTvAccount

          public TvAccount getNewTvAccount()

    - #### getOldState

          public int getOldState()

    - #### getNewState

          public short getNewState()

    - #### getOldDeviceOptionIds

          public java.util.Set<java.lang.Integer> getOldDeviceOptionIds()

      Overrides:
        `getOldDeviceOptionIds` in class `AbstractOrderEvent`

    - #### getNewDeviceOptionIds

          public java.util.Set<java.lang.Integer> getNewDeviceOptionIds()

      Overrides:
        `getNewDeviceOptionIds` in class `AbstractOrderEvent`

    - #### getEntry

          public AccountOrderEvent.AccountEntry getEntry()

    - #### getChildrenEntryList

          public java.util.List<AccountOrderEvent.AccountEntry> getChildrenEntryList()

    - #### getFullProductSpecRuntimeMapToEnable

          protected java.util.Map<java.lang.Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable()
                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFullProductSpecRuntimeMapToEnable` in class `AbstractOrderEvent`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductEntryListToEnable

          public java.util.List<ProductEntry> getFullProductEntryListToEnable()
                                                                       throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFullProductEntryListToEnable` in class `AbstractOrderEvent`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`